using System;
using System.IO;

internal sealed class Delegate708 : MulticastDelegate
{
	public extern Stream Invoke(object object_0);

	public static Stream smethod_0(object object_0, Delegate708 delegate708_1)
	{
		return delegate708_1(object_0);
	}

	public extern Delegate708(object object_0, IntPtr intptr_0);

	static Delegate708()
	{
		Class10.smethod_13(typeof(Delegate708).TypeHandle);
	}

	internal static Delegate708 delegate708_0;
}
